## org.apache.xerces.util
Class XMLSymbols

    java.lang.Object
      |
      +--org.apache.xerces.util.XMLSymbols

public class XMLSymbols
extends java.lang.Object

All internalized xml symbols. They can be compared using "==".

Version:
  $Id: XMLSymbols.java,v 1.2 2002/08/14 17:52:52 sandygao Exp $
Author:
  Sandy Gao, IBM

Field Summary
`static java.lang.String` `EMPTY_STRING` The empty string.
`static java.lang.String` `fANYSymbol` Symbol: "ANY".
`static java.lang.String` `fCDATASymbol` Symbol: "CDATA".
`static java.lang.String` `fENTITIESSymbol` Symbol: "ENTITIES".
`static java.lang.String` `fENTITYSymbol` Symbol: "ENTITY".
`static java.lang.String` `fENUMERATIONSymbol` Symbol: "ENUMERATION".
`static java.lang.String` `fFIXEDSymbol` Symbol: "#FIXED".
`static java.lang.String` `fIDREFSSymbol` Symbol: "IDREFS".
`static java.lang.String` `fIDREFSymbol` Symbol: "IDREF".
`static java.lang.String` `fIDSymbol` Symbol: "ID".
`static java.lang.String` `fIMPLIEDSymbol` Symbol: "#IMPLIED.
`static java.lang.String` `fNMTOKENSSymbol` Symbol: "NMTOKENS".
`static java.lang.String` `fNMTOKENSymbol` Symbol: "NMTOKEN".
`static java.lang.String` `fNOTATIONSymbol` Symbol: "NOTATION".
`static java.lang.String` `fREQUIREDSymbol` Symbol: "#REQUIRED".
`static java.lang.String` `PREFIX_XML` The internalized "xml" prefix.
`static java.lang.String` `PREFIX_XMLNS` The internalized "xmlns" prefix.

Constructor Summary
`XMLSymbols()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_STRING

    public static final java.lang.String EMPTY_STRING

  The empty string.

### PREFIX_XML

    public static final java.lang.String PREFIX_XML

  The internalized "xml" prefix.

### PREFIX_XMLNS

    public static final java.lang.String PREFIX_XMLNS

  The internalized "xmlns" prefix.

### fANYSymbol

    public static final java.lang.String fANYSymbol

  Symbol: "ANY".

### fCDATASymbol

    public static final java.lang.String fCDATASymbol

  Symbol: "CDATA".

### fIDSymbol

    public static final java.lang.String fIDSymbol

  Symbol: "ID".

### fIDREFSymbol

    public static final java.lang.String fIDREFSymbol

  Symbol: "IDREF".

### fIDREFSSymbol

    public static final java.lang.String fIDREFSSymbol

  Symbol: "IDREFS".

### fENTITYSymbol

    public static final java.lang.String fENTITYSymbol

  Symbol: "ENTITY".

### fENTITIESSymbol

    public static final java.lang.String fENTITIESSymbol

  Symbol: "ENTITIES".

### fNMTOKENSymbol

    public static final java.lang.String fNMTOKENSymbol

  Symbol: "NMTOKEN".

### fNMTOKENSSymbol

    public static final java.lang.String fNMTOKENSSymbol

  Symbol: "NMTOKENS".

### fNOTATIONSymbol

    public static final java.lang.String fNOTATIONSymbol

  Symbol: "NOTATION".

### fENUMERATIONSymbol

    public static final java.lang.String fENUMERATIONSymbol

  Symbol: "ENUMERATION".

### fIMPLIEDSymbol

    public static final java.lang.String fIMPLIEDSymbol

  Symbol: "#IMPLIED.

### fREQUIREDSymbol

    public static final java.lang.String fREQUIREDSymbol

  Symbol: "#REQUIRED".

### fFIXEDSymbol

    public static final java.lang.String fFIXEDSymbol

  Symbol: "#FIXED".

Constructor Detail

### XMLSymbols

    public XMLSymbols()

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.